Aprepro 5.0x

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
yyFlexLexer Class Reference

`#include <FlexLexer.h>`

## Public Member Functions
| yyFlexLexer (std::istream *arg_yyin=nullptr, std::ostream *arg_yyout=nullptr)
| ~yyFlexLexer () override
void | yy_switch_to_buffer (struct yy_buffer_state *new_buffer) override
struct yy_buffer_state * | yy_create_buffer (std::istream *file, int size) override
void | yy_delete_buffer (struct yy_buffer_state *b) override
void | yyrestart (std::istream *input_file) override
void | yypush_buffer_state (struct yy_buffer_state *new_buffer)
void | yypop_buffer_state ()
int | yylex () override
void | switch_streams (std::istream *new_in, std::ostream *new_out=nullptr) override
virtual int | yywrap ()
Public Member Functions inherited from FlexLexer
| FlexLexer ()
virtual | ~FlexLexer ()
const char * | YYText () const
int | YYLeng () const
int | yylex (std::istream *new_in, std::ostream *new_out=nullptr)
int | lineno () const
int | debug () const
void | set_debug (int flag)

## Protected Member Functions
virtual int | LexerInput (char *buf, int max_size)
virtual void | LexerOutput (const char *buf, int size)
virtual void | LexerError (const char *msg)
void | yyunput (int c, char *yy_bp)
int | yyinput ()
void | yy_load_buffer_state ()
void | yy_init_buffer (struct yy_buffer_state *b, std::istream *file)
void | yy_flush_buffer (struct yy_buffer_state *b)
void | yy_push_state (int new_state)
void | yy_pop_state ()
int | yy_top_state ()
yy_state_type | yy_get_previous_state ()
yy_state_type | yy_try_NUL_trans (yy_state_type yy_current_state)
int | yy_get_next_buffer ()
void | yyensure_buffer_stack (void)

## Protected Attributes
int | yy_start_stack_ptr
int | yy_start_stack_depth
int * | yy_start_stack
std::istream * | yyin
std::ostream * | yyout
char | yy_hold_char
int | yy_n_chars
char * | yy_c_buf_p
int | yy_init
int | yy_start
int | yy_did_buffer_switch_on_eof
size_t | yy_buffer_stack_top
size_t | yy_buffer_stack_max
struct yy_buffer_state ** | yy_buffer_stack
yy_state_type | yy_last_accepting_state
char * | yy_last_accepting_cpos
yy_state_type * | yy_state_buf
yy_state_type * | yy_state_ptr
char * | yy_full_match
int * | yy_full_state
int | yy_full_lp
int | yy_lp
int | yy_looking_for_trail_begin
int | yy_more_flag
int | yy_more_len
int | yy_more_offset
int | yy_prev_more_offset
Protected Attributes inherited from FlexLexer
char * | yytext
int | yyleng
int | yylineno
int | yy_flex_debug

## Constructor & Destructor Documentation

## ◆ yyFlexLexer()

yyFlexLexer::yyFlexLexer | ( | std::istream * | arg_yyin = `nullptr`,
|  | std::ostream * | arg_yyout = `nullptr`
| ) |  |
| explicit

## ◆ ~yyFlexLexer()

yyFlexLexer::~yyFlexLexer | ( |  | ) |
| override

## Member Function Documentation

## ◆ LexerError()

void yyFlexLexer::LexerError | ( | const char * | msg | ) |
| protected virtual

## ◆ LexerInput()

int yyFlexLexer::LexerInput | ( | char * | buf,
|  | int | max_size
| ) |  |
| protected virtual

## ◆ LexerOutput()

void yyFlexLexer::LexerOutput | ( | const char * | buf,
|  | int | size
| ) |  |
| protected virtual

## ◆ switch_streams()

void yyFlexLexer::switch_streams | ( | std::istream * | new_in,
|  | std::ostream * | new_out = `nullptr`
| ) |  |
| override virtual

Implements FlexLexer.

## ◆ yy_create_buffer()

YY_BUFFER_STATE yyFlexLexer::yy_create_buffer | ( | std::istream * | file,
|  | int | size
| ) |  |
| override virtual

Allocate and initialize an input buffer state.

Parameters

  file | A readable stream.
  size | The character buffer size in bytes. When in doubt, use `YY_BUF_SIZE`.

Returns
  the allocated buffer state.

Implements FlexLexer.

## ◆ yy_delete_buffer()

void yyFlexLexer::yy_delete_buffer | ( | struct yy_buffer_state * | b | ) |
| override virtual

Destroy the buffer.

Parameters

  b | a buffer created with yy_create_buffer()

Implements FlexLexer.

## ◆ yy_flush_buffer()

void yyFlexLexer::yy_flush_buffer | ( | struct yy_buffer_state * | b | ) |
| protected

Discard all buffered characters. On the next scan, YY_INPUT will be called.

Parameters

  b | the buffer state to be flushed, usually `YY_CURRENT_BUFFER`.

## ◆ yy_get_next_buffer()

int yyFlexLexer::yy_get_next_buffer | ( |  | ) |
| protected

## ◆ yy_get_previous_state()

yy_state_type yyFlexLexer::yy_get_previous_state | ( |  | ) |
| protected

## ◆ yy_init_buffer()

void yyFlexLexer::yy_init_buffer | ( | struct yy_buffer_state * | b,
|  | std::istream * | file
| ) |  |
| protected

## ◆ yy_load_buffer_state()

void yyFlexLexer::yy_load_buffer_state | ( |  | ) |
| protected

## ◆ yy_pop_state()

void yyFlexLexer::yy_pop_state | ( |  | ) |
| protected

## ◆ yy_push_state()

void yyFlexLexer::yy_push_state | ( | int | new_state | ) |
| protected

## ◆ yy_switch_to_buffer()

void yyFlexLexer::yy_switch_to_buffer | ( | struct yy_buffer_state * | new_buffer | ) |
| override virtual

Switch to a different input buffer.

Parameters

  new_buffer | The new input buffer.

Implements FlexLexer.

## ◆ yy_top_state()

int yyFlexLexer::yy_top_state | ( |  | ) |
| protected

## ◆ yy_try_NUL_trans()

yy_state_type yyFlexLexer::yy_try_NUL_trans | ( | yy_state_type | yy_current_state | ) |
| protected

## ◆ yyensure_buffer_stack()

void yyFlexLexer::yyensure_buffer_stack | ( | void |  | ) |
| protected

## ◆ yyinput()

int yyFlexLexer::yyinput | ( |  | ) |
| protected

## ◆ yylex()

int yyFlexLexer::yylex | ( |  | ) |
| override virtual

Implements FlexLexer.

## ◆ yypop_buffer_state()

void yyFlexLexer::yypop_buffer_state | ( | void |  | ) |

Removes and deletes the top of the stack, if present. The next element becomes the new top.

## ◆ yypush_buffer_state()

void yyFlexLexer::yypush_buffer_state | ( | struct yy_buffer_state * | new_buffer | ) |

Pushes the new state onto the stack. The new state becomes the current state. This function will allocate the stack if necessary.

Parameters

  new_buffer | The new state.

## ◆ yyrestart()

void yyFlexLexer::yyrestart | ( | std::istream * | input_file | ) |
| override virtual

Immediately switch to a different input stream.

Parameters

  input_file | A readable stream.

Note
  This function does not reset the start condition to `INITIAL` .

Implements FlexLexer.

## ◆ yyunput()

void yyFlexLexer::yyunput | ( | int | c,
|  | char * | yy_bp
| ) |  |
| protected

## ◆ yywrap()

virtual int yyFlexLexer::yywrap | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ yy_buffer_stack

struct yy_buffer_state** yyFlexLexer::yy_buffer_stack
| protected

Stack as an array.

## ◆ yy_buffer_stack_max

size_t yyFlexLexer::yy_buffer_stack_max
| protected

capacity of stack.

## ◆ yy_buffer_stack_top

size_t yyFlexLexer::yy_buffer_stack_top
| protected

index of top of stack.

## ◆ yy_c_buf_p

char* yyFlexLexer::yy_c_buf_p
| protected

## ◆ yy_did_buffer_switch_on_eof

int yyFlexLexer::yy_did_buffer_switch_on_eof
| protected

## ◆ yy_full_lp

int yyFlexLexer::yy_full_lp
| protected

## ◆ yy_full_match

char* yyFlexLexer::yy_full_match
| protected

## ◆ yy_full_state

int* yyFlexLexer::yy_full_state
| protected

## ◆ yy_hold_char

char yyFlexLexer::yy_hold_char
| protected

## ◆ yy_init

int yyFlexLexer::yy_init
| protected

## ◆ yy_last_accepting_cpos

char* yyFlexLexer::yy_last_accepting_cpos
| protected

## ◆ yy_last_accepting_state

yy_state_type yyFlexLexer::yy_last_accepting_state
| protected

## ◆ yy_looking_for_trail_begin

int yyFlexLexer::yy_looking_for_trail_begin
| protected

## ◆ yy_lp

int yyFlexLexer::yy_lp
| protected

## ◆ yy_more_flag

int yyFlexLexer::yy_more_flag
| protected

## ◆ yy_more_len

int yyFlexLexer::yy_more_len
| protected

## ◆ yy_more_offset

int yyFlexLexer::yy_more_offset
| protected

## ◆ yy_n_chars

int yyFlexLexer::yy_n_chars
| protected

## ◆ yy_prev_more_offset

int yyFlexLexer::yy_prev_more_offset
| protected

## ◆ yy_start

int yyFlexLexer::yy_start
| protected

## ◆ yy_start_stack

int* yyFlexLexer::yy_start_stack
| protected

## ◆ yy_start_stack_depth

int yyFlexLexer::yy_start_stack_depth
| protected

## ◆ yy_start_stack_ptr

int yyFlexLexer::yy_start_stack_ptr
| protected

## ◆ yy_state_buf

yy_state_type* yyFlexLexer::yy_state_buf
| protected

## ◆ yy_state_ptr

yy_state_type* yyFlexLexer::yy_state_ptr
| protected

## ◆ yyin

std::istream* yyFlexLexer::yyin
| protected

## ◆ yyout

std::ostream* yyFlexLexer::yyout
| protected

The documentation for this class was generated from the following files:

- FlexLexer.h
- apr_scanner.cc